Package javassist.bytecode

# Class Descriptor.Iterator

java.lang.Object
javassist.bytecode.Descriptor.Iterator

Enclosing class:
  `Descriptor`

public static class Descriptor.Iterator extends Object
An Iterator over a descriptor.

## Constructor Summary

Constructors
Constructor
Description
`Iterator(String s)`
Constructs an iterator.

## Method Summary

Modifier and Type
Method
Description
`char`
`currentChar()`
Returns the first character of the current element.
`boolean`
`hasNext()`
Returns true if the iteration has more elements.
`boolean`
`is2byte()`
Returns true if the current element is double or long type.
`boolean`
`isParameter()`
Returns true if the current element is a parameter type.
`int`
`next()`
Returns the position of the next type character.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Iterator

public Iterator(String s)
Constructs an iterator.

Parameters:
  `s` - descriptor.

## Method Details

### hasNext

public boolean hasNext()
Returns true if the iteration has more elements.

### isParameter

public boolean isParameter()
Returns true if the current element is a parameter type.

### currentChar

public char currentChar()
Returns the first character of the current element.

### is2byte

public boolean is2byte()
Returns true if the current element is double or long type.

### next

public int next()
Returns the position of the next type character. That type character becomes a new current element.